/**
 * @file
 * Defines jQuery to provide summary information inside vertical tabs.
 */

(function ($) {

  'use strict';

  /**
   * Provide summary information for vertical tabs.
   */
  Drupal.behaviors.publication_scheduler_settings = {
    attach: function (context) {

      // Provide summary during content type configuration.
      $('#edit-publication-scheduler', context).drupalSetSummary(function (context) {
        var vals = [];
        if ($('#edit-publication-scheduler-enable', context).is(':checked')) {
          vals.push(Drupal.t('Enabled'));
        }
        if (!vals.length) {
          vals.push(Drupal.t('Not enabled'));
        }
        return vals.join('<br/>');
      });
    }
  };

})(jQuery);
