<?php

namespace Drupal\publication_scheduler\EventSubscriber;

use Drupal\scheduler\SchedulerEvent;
use Drupal\scheduler\SchedulerEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Publication Date event subscriber.
 */
class PublicationSubscriber implements EventSubscriberInterface {

  /**
   * Handle workbench moderation state transition.
   */
  public function onPublish(SchedulerEvent $event) {
    $node = $event->getNode();
    $node->set('published_at', $node->publish_on->value);
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    $events[SchedulerEvents::PRE_PUBLISH] = ['onPublish'];
    $events[SchedulerEvents::PRE_PUBLISH_IMMEDIATELY] = ['onPublish'];
    return $events;
  }

}
